
public class FractalTree
{
   public static void drawTree(Turtle t, int size)
   {
      if (size < 1) return;

      t.forward(size);
      t.turn(-65);
      drawTree(t, (75*size)/100); // 0.75 * size
      t.turn(65);
      t.turn(40);
      drawTree(t, (75*size)/100); // 0.75 * size
      t.turn(-40);
      t.forward(-size);
   }

   public static void main(String[] args)
   {
      World world = new World(700, 700);
      Turtle turtle = new Turtle(world);

      drawTree(turtle, 90);
   }
}
