
public class TriangleSponge
{
   public static void drawSponge(Turtle t, int size, int count)
   {
      if (1 == count)
      {
         drawTriangle(t, size);
      }
      else
      {
         drawSponge(t, size/2, count - 1);
         t.penUp();
         t.forward(size/2);
         t.penDown();
         drawSponge(t, size/2, count - 1);
         t.penUp();
         t.forward(-size/2);
         t.turn(60);
         t.forward(size/2);
         t.turn(-60);
         t.penDown();
         drawSponge(t, size/2, count - 1);
         t.penUp();
         t.turn(60);
         t.forward(-size/2);
         t.turn(-60);
         t.penDown();
      }
   }

   public static void drawTriangle(Turtle t, int size)
   {
      t.forward(size);
      t.turn(120);
      t.forward(size);
      t.turn(120);
      t.forward(size);
      t.turn(120);
   }

   public static void main(String[] args)
   {
      World world = new World(700, 700);
      Turtle turtle = new Turtle(world);

      drawSponge(turtle, 256, 3);
    //drawSponge(turtle, 256, 4); // not quite right
   }
}
